angular.module('change_mail.controller', [])

.controller('ChangeMailCtrl', function($scope, $timeout, $_account, $_notification, $ionicHistory, $_tracking, $_nativestorage) {
	$scope.change = {};

	$scope.$on("$ionicView.beforeEnter", function(event, data){
		$_tracking.trackPage("E-Mail ändern Screen");
	});

	$scope.changeMail = function() {
		$_account.changeMailAddress($scope.change.mail).then(function(success){
			$_nativestorage.setItem("lastEmail", $scope.change.mail);
			$ionicHistory.goBack();

			$timeout(function(){
				$_notification.showNotificationBar(success.msg, success.type);
			}, 500);
		}, function(error){
			$_notification.showNotificationBar(error.msg, error.type);
		});
	}
});
