angular.module('login.controller', [])

.controller('LoginCtrl', function($scope, $cordovaDatePicker, $_helper, $timeout, $_tracking,
	$_login, $ionicHistory, $_notification, $state, $_account_cache, $_popup,$_nativestorage) {
		
	$scope.login = {};

	$scope.$on("$ionicView.beforeEnter", function(event, data){
		$_tracking.trackPage("Login Screen");
		$scope.login = {};
    
    $_nativestorage.getItem("lastEmail").then(function(value){
      $scope.login.mail = value;
    });
                                           
	});

	$scope.$on("$ionicView.enter", function(event, data){

		// Login-Via-Facebook Überlappung Bug - FIX (ANDROID)
		if($("body").hasClass("platform-android")) {

			var input = $("input");
			var toggle = $(".bottom-login-text, .bar-footer");
			var hasFooter = $(".has-footer");
			var hasFooterBottomVal = hasFooter.css("bottom");

			window.addEventListener('native.keyboardshow', function() {
				toggle.css("display", "none");
				hasFooter.css("bottom", "0");
			});
			window.addEventListener('native.keyboardhide', function() {
				toggle.css("display", "block");
				hasFooter.css("bottom", hasFooterBottomVal + "px");
			});

			/*
			input.on("focus", function() {
				toggle.css("display", "none");
				hasFooter.css("bottom", "0");
			});

			input.on("blur", function() {
				toggle.css("display", "block");
				hasFooter.css("bottom", hasFooterBottomVal + "px");
			});*/

		} 

	});


	$scope.recoverPassword = function() {
		$state.go('password-recovery', {mail: $scope.login.mail});
	}

	$scope.loginEmail = function() {
		$_login.loginMail($scope.login.mail, $scope.login.password).then(function(success){
			$_account_cache.setShouldShowCreateAccountBox(false);
			$state.go('tab.blury');
		}, function(error){
			if(error.msg == "email_popup") {
				$_popup.accountDoesntExistPopup(false);
			} else {
				$_notification.showNotificationBar(error.msg, error.type);
			}
			

			$timeout(function(){
				$scope.login.password = "";
			}, 50);
		});
	}

	$scope.loginSocial = function() {
		$_login.loginFacebook().then(function(success){
			$_account_cache.setShouldShowCreateAccountBox(false);
			$_login.registerIonicPush();
			$state.go('tab.blury');
		}, function(error){
			if(error.msg == "email_popup") {
				$_popup.accountDoesntExistPopup(true);
			} else {
				$_notification.showNotificationBar(error.msg, error.type);
			}
		});
	}
});
