angular.module('password_recovery.controller', [])

.controller('PasswordRecoveryCtrl', function($scope, $_helper, $timeout, $_tracking, $_account, $_notification, $ionicHistory, $stateParams) {
	$scope.recover = {};

	$scope.$on("$ionicView.beforeEnter", function(event, data){
		$_tracking.trackPage("Passwort wiederherstellen");

		$scope.recover.mail = $stateParams.mail;
	});

	$scope.recoverPassword = function() {
		$_account.recoverPassword($scope.recover.mail).then(function(success){
			$ionicHistory.goBack();

			$timeout(function(){
				$_notification.showNotificationBar(success.msg, success.type);
			}, 500);
		}, function(error){
			$_notification.showNotificationBar(error.msg, error.type);
		});
	}
});
