angular.module('terms_of_use.controller', [])

.controller('TermsOfUseCtrl', function($scope, $_popup, $_tos, $timeout, $_notification, $_tos_cache, $_tracking) {
	$scope.$on('$ionicView.beforeEnter', function (event, viewData) {
		$_tracking.trackPage("TOS");
		$_popup.closeAllOpenedPopups();
		viewData.enableBack = true;
		$scope.tos = {};
		$scope.tos.data = $_tos_cache.getTOS();
		getTOS();
    });

    function getTOS() {
    	$_tos.getTos().then(
			function(data){
				$timeout(function(){
					$scope.tos.data = data;
				}, 150);
			},
			function(error){
				$_notification.showNotificationBar(error.msg, error.type);
			}
		)
    }
});