angular.module('externalLink.directive', [])
    /* Link, der die App verlässt. */
    .directive('externalLink', function(){
      'use strict';
      return {
        restrict: 'A',
          scope: {
            url: '@href'
          },
        link: function(scope, element, attrs){
          element.bind('click', function(e){
          e.preventDefault();
          if (typeof analytics !== 'undefined') {
            window.analytics.trackEvent('event', 'outlink', encodeURI(scope.url));
          }
            window.open(encodeURI(scope.url), '_system', 'location=yes');
          });
        }
      };
    }
);
