angular.module('cache_constants', [])
.constant('CACHE_ROUTE', function() {
	var prefix = "blury_beta_";
	return {
		ACCOUNT_CACHE: prefix + "account_cache",
		FLIRT_LIST_CACHE: prefix + "flirt_list_cache",
		FLIRT_DETAIL_CACHE: prefix + "flirt_detail_cache",
		USERS_CACHE: prefix + "blury_cache",
		FLIRT_ANSWER_CACHE: prefix + "flirt_answer_cache",
		PROFILE_CACHE: prefix + "profile_cache",
		CHAT_LIST_CACHE: prefix + "chat_list_cache",
		CHAT_DETAIL_CACHE: prefix + "chat_detail_cache",
		BLOCKED_USERS_CACHE: prefix + "blocked_users_cache",
		TOS_CACHE: prefix + "tos_cache",
		FLIRT_ROUND_IMAGE_CACHE: prefix + "flirt_round_image_cache",
		STARTED_FLIRT_ROUND_CACHE: prefix + "started_flirt_round_cache",
		IMAGE_TIMESTAMP_CACHE: prefix + "image_timestamp_cache",
		LANGUAGE_CACHE: prefix + "language_cache",
		ACCOUNT: prefix + "account",
		ACCOUNT_ID: prefix + "account/id",
		ACCOUNT_IMAGE: prefix + "account/image/",
		LOGIN_EMAIL: prefix + "login_email",
		FLIRT_LIST: prefix + "flirts",
		FLIRT_DETAIL: prefix + "flirt/",
		FLIRT_ROUND: prefix + "flirt/round/",
		PROFILE: prefix + "profile/",
		USERS: prefix + "users",
		CHAT_LIST: prefix + "chats",
		CHAT_DETAIL: prefix + "chat/",
		TOS: prefix + "tos",
		PRIVACY_POLICY: prefix + "pivacy_policy",
		SHOW_PP_POPUP: prefix + "show_pp_popup",
		FLIRT_ROUND_IMAGE: prefix + "flirt/round/image/",
		LOGIN_STATUS: prefix + "registration/completed",
		STARTED_FLIRT_WITH_USER: prefix + "with/user/",
		LANGUAGE_SETTING: prefix + "language/setting",
		IS_OFFLINE: prefix + "offline",
		UNSEND_MESSAGES: prefix + "unsend_messages/",
		UNSEND_FLIRT_ANSWERS: prefix + "unsend_flirt_answers/",
		CHAT_TYPED_MESSAGE: prefix + "chat_typed_message/",
		OLD_ACCOUNT_IMAGE_ID: prefix + "old_account_iamge_id",
		OLD_ACCOUNT_IMAGE_ID_BEFORE_UPLOAD: prefix + "old_account_image_id_before_upload",
		IMAGE_TIMESTAMPS: prefix + "image_timestamps",
		BLOCKED: prefix + "blocked",
		SHOW_CREATE_ACCOUNT_BOX: prefix + "show_create_account_box",
		MEDIA_VERIFICATION_CODE: prefix + "media_verification_code",
		USER_HAS_PROFILE_IMAGE: prefix + "user_has_profile_image",
		BASE64_ACCOUNT_IMAGE: prefix + "base64_profile_img",
		SOUND_SETTING: prefix + "sound_setting",
		VIBRATION_SETTING: prefix + "vibration_setting",
		USER_HAS_REGISTERED: prefix + "user_has_registered",
		LAST_FLIRT_ANSWER: prefix + "last_flirt_answer/",
		APP_WAS_CLOSED: prefix + "app_was_closed",
		POINTS_CACHE: prefix + "points_cache",
		CURRENT_POINTS: prefix + "current_points",
		POINTS_LIST: prefix + "points_list",
	}
});