angular.module('flirts.service', [])
.factory('$_flirts', function($_options, $_popup, $ionicActionSheet, $filter, $_notification, $_sound) {
  // Funktionen, die im Flirts-Tab gültig sind
    var reasons;
    function getReasons(scope) {
		$_options.getReportReasons().then(
			function(list){
				scope.reasons = list;
			},
			function(error){
				$_notification.showNotificationBar(error.msg, error.type);
			}
		);
	}

	function showOptions(userId, flirtId, scope, goBack, index) {
		getReasons(scope);
		hideSheet = $ionicActionSheet.show({
			buttons: [
				{ text: $filter('translate')('DELETE_GAME') },
				{ text: $filter('translate')('REPORT_USER') },
				{ text: $filter('translate')('BLOCK_USER') }
			],
			titleText: $filter('translate')('OPTIONS'),
			cancelText: $filter('translate')('CANCEL'),

			cancel: function() {
				$_sound.playClick();
			},
			buttonClicked: function(button_index) {
				hideSheet();
				if(button_index==0) $_popup.deleteGamePopup(flirtId, goBack, scope, index, userId);
				else if (button_index==1) $_popup.reportUserPopup(userId, scope, false);
				else if (button_index==2) $_popup.blockUserPopup(userId, goBack);
			}
   		});
	}

    return {
        showOptions: function(userId, flirtId, scope, goBack, index) {
            showOptions(userId, flirtId, scope, goBack, index);
        }
    }
});
