angular.module('privacy_policy.controller', [])

.controller('PrivacyPolicyCtrl', function($scope, $_popup, $_tos, $timeout, $_notification, $_tos_cache, $_tracking) {
	$scope.$on('$ionicView.beforeEnter', function (event, viewData) {
		$_tracking.trackPage("Privacy");
		$_popup.closeAllOpenedPopups();
		viewData.enableBack = true;
		$scope.privacy_policy = {};
		$scope.privacy_policy.data = $_tos_cache.getPrivacyPolicy();
		getPrivacyPolicy();
    });

    function getPrivacyPolicy() {
    	$_tos.getPrivacyPolicy().then(
			function(data){
				$timeout(function(){
					$scope.privacy_policy.data = data;
				}, 150);
			},
			function(error){
				$_notification.showNotificationBar(error.msg, error.type);
			}
		)
    }
});