angular.module('language_cache.service', [])
.factory('$_language_cache', function(CacheFactory, CACHE_ROUTE) {
	if (!CacheFactory.get(CACHE_ROUTE().LANGUAGE_CACHE)) {
		CacheFactory.createCache(CACHE_ROUTE().LANGUAGE_CACHE, {
			storageMode: 'localStorage'
		});
	}

	var language_cache = CacheFactory.get(CACHE_ROUTE().LANGUAGE_CACHE);

	return {
		saveLanguageSettings: function(obj) {
			language_cache.put(CACHE_ROUTE().LANGUAGE_SETTING, obj);
		},
		getLanguageSettings: function() {
			return language_cache.get(CACHE_ROUTE().LANGUAGE_SETTING);
		}
	}
});