angular.module('points_cache.service', [])
.factory('$_points_cache', function(CacheFactory, CACHE_ROUTE) {
	if (!CacheFactory.get(CACHE_ROUTE().POINTS_CACHE)) {
		CacheFactory.createCache(CACHE_ROUTE().POINTS_CACHE, {
			storageMode: 'localStorage'
		});
	}

	var pointsCache = CacheFactory.get(CACHE_ROUTE().POINTS_CACHE);

	return {
		savePointsList: function(obj) {
			pointsCache.put(CACHE_ROUTE().POINTS_LIST, obj);
		},
		getPointsList: function() {
			var points = pointsCache.get(CACHE_ROUTE().POINTS_LIST);
			return points;
		},
		saveCurrentPoints: function(obj) {
			pointsCache.put(CACHE_ROUTE().CURRENT_POINTS, obj);
		},
		getCurrentPoints: function() {
			var points = pointsCache.get(CACHE_ROUTE().CURRENT_POINTS);
			return points;
		}
	}
});