angular.module('profile_cache.service', [])
.factory('$_profile_cache', function(CacheFactory, CACHE_ROUTE) {
	if (!CacheFactory.get(CACHE_ROUTE().PROFILE_CACHE)) {
		CacheFactory.createCache(CACHE_ROUTE().PROFILE_CACHE, {
			storageMode: 'localStorage'
		});
	}

	var profile_cache = CacheFactory.get(CACHE_ROUTE().PROFILE_CACHE);

	return {
		saveProfile: function(obj, id) {
			profile_cache.put(CACHE_ROUTE().PROFILE + '' + id, obj);
		},
		getProfile: function(id) {
			var profile = profile_cache.get(CACHE_ROUTE().PROFILE + '' + id);
			return profile;
		},
		removeProfile: function(id) {
			profile_cache.remove(CACHE_ROUTE().PROFILE + '' + id);
		}
	}
});