angular.module('tos_cache.service', [])
.factory('$_tos_cache', function(CacheFactory, CACHE_ROUTE) {
	if (!CacheFactory.get(CACHE_ROUTE().TOS_CACHE)) {
		CacheFactory.createCache(CACHE_ROUTE().TOS_CACHE, {
			storageMode: 'localStorage'
		});
	}

	var tosCache = CacheFactory.get(CACHE_ROUTE().TOS_CACHE);

	return {
		saveTOS: function(obj) {
			tosCache.put(CACHE_ROUTE().TOS, obj);
		},
		getTOS: function() {
			var tos = tosCache.get(CACHE_ROUTE().TOS);
			return tos;
		},
		savePrivacyPolicy: function(obj) {
			tosCache.put(CACHE_ROUTE().PRIVACY_POLICY, obj);
		},
		getPrivacyPolicy: function() {
			var privacy_policy = tosCache.get(CACHE_ROUTE().PRIVACY_POLICY);
			return privacy_policy;
		}
	}
});