angular.module('badges.service', [])
.factory('$_badges', function($timeout, $state, $rootScope, $_sdk, $log) {
  	return {
		getUnreadCount: function() { // Holt die Zahl der ungelesenen Benachrichtigungen
			return new Promise(function(resolve, reject){
				var callbacks = {
					onSuccessAck: function(successData) {
						resolve(successData);
					},
					onFailAck: function(failData) {
						$log.debug(failData);
						reject();
					},
					onValidator: function(validateData) {
						$log.debug(validateData);
						reject();
					}
				}

				$_sdk.request("GET", "/counts", null, callbacks);
			});
			
		}
  	};
});
