angular.module('nativestorage.service', [])
.factory('$_nativestorage', function($timeout, $state, $rootScope, $log,$cordovaNativeStorage) {
  	return {
		getItem: function(key) { // Holt die Items aus dem Storage
      return new Promise(function(resolve, reject){
        $cordovaNativeStorage.getItem(key).then(function (value) {
            $log.debug("$cordovaNativeStorage get success for "+key+" val:"+value);
            resolve(value);
         }, function (error) {
            $log.debug("$cordovaNativeStorage error");
            $log.debug(error);
            reject();
         });
			});
     
      
		},
    setItemSync: function(key, newvalue) { // Holt die Items aus dem Storage
      return new Promise(function(resolve, reject){
        $cordovaNativeStorage.setItem(key, newvalue).then(function (value) {
            $log.debug("$cordovaNativeStorage set success for "+key+ " val:"+value);
            resolve(value);
        }, function (error) {
            $log.debug("$cordovaNativeStorage error");
            $log.debug(error);
            reject();
        });
      });
    },
    setItem: function(key, newvalue) { // Holt die Items aus dem Storage
        $cordovaNativeStorage.setItem(key, newvalue).then(function (value) {
            $log.debug("$cordovaNativeStorage set success for "+key+ " val:"+value);
        }, function (error) {
            $log.debug("$cordovaNativeStorage error");
            $log.debug(error);
        });
      
    },
    remove: function(key) { // Holt die Items aus dem Storage
      return new Promise(function(resolve, reject){
        $cordovaNativeStorage.remove(key).then(function (value) {
            $log.debug("$cordovaNativeStorage remove success for "+key+ " val:"+value);
            resolve(value);
        }, function (error) {
            $log.debug("$cordovaNativeStorage error");
            $log.debug(error);
            reject();
        });
      });
    }
    
    };
});
