angular.module('vibration.service', [])
.factory('$_vibration', function($cordovaVibration, $_account_cache) {
	function vibrate(time) {
		if($_account_cache.getVibrationSetting() == true)
			$cordovaVibration.vibrate(time);
	}

	return {
		vibrateShort: function() {
			vibrate(10);
		},
		vibrateLong: function() {
			vibrate(500);
		},
		vibrateTime: function(time) {
			vibrate(time);
		}
  };
});
